% Exercise 2, b)

clear all;
close all;

X_sq = zeros(1,100);
N = 1:100;

for i = 1:1000
    X_sq = X_sq + RandomWalk(100, 0.5, 0).^2;
end

X_sq = X_sq / 1000;

% The centered 4th moment of X_n -2nd moment
cmom4 = 2*(N.^2-N);

% The confidence bounds
tmp = 1.96 * sqrt(cmom4) / sqrt(1000);
a = X_sq - tmp;
b = X_sq + tmp;

%Plot of the results
stairs(N, N, 'green');
xlabel('n');
ylabel('X_n');

hold on;
stairs(N, X_sq, 'blue'); 
stairs(N, a, 'red');
stairs(N, b, 'red');
legend('\gamma', 'Estimated \gamma', 'a', 'b', ...
'Location','NorthWest');
